Package org.eclipse.emf.cdo.common.revision

## Interface CDORevisionCacheAdder

- All Known Subinterfaces:
    `CDORevisionCache`, `InternalCDORevisionCache`, `InternalCDORevisionManager`
  All Known Implementing Classes:
    `DelegatingCDORevisionManager`

      public interface CDORevisionCacheAdder

  An entity that `revisions` can be added to.
  Since:
    4.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRevision​(CDORevision revision)` | Adds the given revision to this cache.

- - ### Method Detail

    - #### addRevision

          void addRevision​(CDORevision revision)

      Adds the given revision to this cache.